/**
 * This class is used to represent the object of the game in a more abstract manner.
 * For every object the following information is stored:
 * <ul>
 * <li> time when it was perceived
 * <li> the name according to the message text like "g r" for the right goal
 * <li> the distance to the player
 * <li> the direction in which is was perceived
 * </ul>
 *
 * @author <a href="mailto:kuehne@pi4.informatik.uni-mannheim.de">Gerald Kuehne</a>
 * @author <a href="mailto:beier@pi4.informatik.uni-mannheim.de">Markus Beier</a>
 * @version 1.0
 */
public class ObjectInfo
{
    /**
     * The time when the object has been perceived
     *
     */
    public int     time;
    /**
     * The name of the object
     *
     */
    public String  objectName;
    /**
     * The distance in which the object was perceived
     *
     */
    public double  distance;
    /**
     * The direction in which the object was perceived
     *
     */
    public double  direction;
}
